Bug 471123 - Unable to get single-user mode shell when booting with 'linux 1'
Unable to get single-user mode shell when booting with 'linux 1'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
10
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
: 483031 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 16:32 EST by James Laska
Modified: 2014-03-16 23:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 14:29:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-11-11 16:32:36 EST
Description of problem:

Booting an installed F10 system while appending the kernel argument '1' does not drop the user into a shell on a serial console accessible system.

Version-Release number of selected component (if applicable):
plymouth-0.6.0-0.2008.11.10.5.fc10

How reproducible:


Steps to Reproduce:
1. Install F10
2. Reboot installed system while appending kernel argument '1'
  
Actual results (with plymouth:debug plymouth:nolog):

command line: ro console=hvc0 rhgb quiet root=UUID=681eac51-2a58-4be3-aeb0-2acd0be4ade2 1 plymouth:debug plymouth:nolog
memory layout at init:
  alloc_bottom : 0000000002ae8000
  alloc_top    : 0000000008000000
  alloc_top_hi : 00000001f0000000
  rmo_top      : 0000000008000000
  ram_top      : 00000001f0000000
Looking for displays
found display   : /pci@800000020000004/pci@2,2/pci@1/display@0, opening ... done
instantiating rtas at 0x00000000076a1000 ... done
boot cpu hw idx 0000000000000000
starting cpu hw idx 0000000000000002... done
copying OF device tree ...
Building dt strings...
Building dt structure...
Device tree strings 0x0000000002be9000 -> 0x0000000002bea4db
Device tree struct  0x0000000002beb000 -> 0x0000000002c00000
Calling quiesce ...
returning from prom_init
Phyp-dump not supported on this hardware
[main.c]                                 check_logging:checking if console messages should be redirected and logged
[main.c]                                 check_logging:logging should be enabled!
[main.c]                            check_for_consoles:checking if splash screen should be disabled
[main.c]                            check_for_consoles:serial console found!
[main.c]                                 create_window:creating window on hvc0
[main.c]                redirect_standard_io_to_device:redirecting stdio to hvc0
[main.c]                        initialize_environment:initialized minimal work environment
[main.c]                     attach_to_running_session:creating new terminal session
[main.c]                                          main:entering event loop
[ply-boot-server.c]                ply_boot_connection_on_request:got show splash request
[ply-window.c]                               ply_window_open:trying to open window '/dev/hvc0'
[ply-window.c]                               ply_window_open:could not open /dev/hvc0 : No such file or directory
[main.c]                               has_open_window:checking for open windows
[main.c]                                on_show_splash:no open windows, detaching session
[ply-terminal-session.c]                   ply_terminal_session_detach:stopping terminal logger
[main.c]           plymouth_should_show_default_splash:checking if plymouth should be running
[main.c]                          show_detailed_splash:Showing detailed splash screen
[main.c]                             start_boot_splash:Loading boot splash plugin '/usr/lib/plymouth/details.so'
[./plugin.c]                                 create_plugin:creating plugin
[main.c]                             start_boot_splash:attaching plugin to event loop
[main.c]                             start_boot_splash:attaching progress to plugin
[main.c]                             start_boot_splash:adding windows to boot splash
[main.c]                    add_windows_to_boot_splash:There are 1 windows in list
[main.c]                             start_boot_splash:showing plugin
[ply-boot-splash.c]                          ply_boot_splash_show:showing splash screen

[main.c]                                    on_newroot:new root mounted at "/sysroot", switching to it
		Welcome to Fedora 
		Press 'I' to enter interactive startup.
Starting udev: [  OK  ]
[main.c]                                     on_update:updating status to 'RCkernelparam'
[./plugin.c]                                 update_status:status update
[main.c]                                     on_update:updating status to 'RChostname'
[./plugin.c]                                 update_status:status update
Setting hostname ibm-sf2b-lp1.test.redhat.com:  [  OK  ]
Setting up Logical Volume Management:   2 logical volume(s) in volume group "VolGroup00" now active
init: rc1 post-stop process (1794) terminated with status 1


Expected results:

A shell

Additional info:

# echo $TERM ; tty
vt100-nav
/dev/hvc0

* Booting with 'linux single' works as expected
Comment 1 Bill Nottingham 2008-11-11 19:53:17 EST
http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=0320082b72105bb90863d43b3051623381cde73a should, theoretically, fix it for you.
Comment 2 James Laska 2008-11-12 10:27:13 EST
Applying the suggested change to my rawhide installed system (initscripts-8.85-1.ppc) makes the following work:

* boot with 'linux 1'

Telling INIT to go to single user mode.
[root@ibm-sf2b-lp1 /]# cat  /proc/cmdline 
ro console=hvc0 rhgb quiet root=UUID=4b84fcc2-7c0d-4447-b0a7-7ab4676a18cd 1

* boot with 'linux single'

Enabling local filesystem quotas:  [  OK  ]
Enabling /etc/fstab swaps:  [  OK  ]
[root@ibm-sf2b-lp1 /]# cat /proc/cmdline 
ro console=hvc0 rhgb quiet root=UUID=4b84fcc2-7c0d-4447-b0a7-7ab4676a18cd single
Comment 3 Bug Zapper 2008-11-26 00:13:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bill Nottingham 2009-01-29 13:01:48 EST
*** Bug 483031 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2009-11-18 03:49:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.